# 邮件删除工具

一个用于批量删除 Lolipop 邮箱服务邮件的工具，通过网页界面操作，可以指定特定页码范围进行删除。

## 功能特点

- 登录 Lolipop 邮箱服务
- 指定起始页码和结束页码批量删除邮件
- 实时显示删除进度和状态
- 包含连接测试功能

## 安装

项目依赖已本地化安装。如需重新安装依赖，请执行：

```bash
npm install
```

## 使用方法

1. 启动服务器：

```bash
npm start
```

2. 在浏览器中访问：`http://localhost:3120`

3. 填写以下信息：
   - 邮箱账号
   - 邮箱密码
   - 起始页码
   - 结束页码（可选，留空则删除到最后一页）

4. 点击"开始删除"按钮开始批量删除操作

## 测试连接

如需测试与服务器的连接是否正常，可以点击界面上的"测试连接"按钮。

## 技术栈

- Node.js
- Express.js - Web服务器框架
- Playwright - 浏览器自动化
- Server-Sent Events (SSE) - 实时进度反馈

## 文件结构

- `app.js` - 主应用文件，包含服务器逻辑和邮件删除功能
- `index.html` - Web界面
- `test.js` - 测试脚本
- `test-email.js` - 邮箱功能测试脚本 


